Bug 37493 - openssl: Multiple issues (3.2)
openssl: Multiple issues (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.0
Other Linux
: P3 normal (vote)
: UCS 3.2-4-errata
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-09 07:22 CET by Moritz Muehlenhoff
Modified: 2015-01-13 12:43 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2015-01-09 07:22:09 CET
Denial of service in DTLS (2014-3571)

ECDHE can be downgraded to ECDH, resulting in a loss of forward secrecy (CVE-2014-3572)
Weaker RSA keys can be negotiated (CVE-2015-0204)
AFAICS these can only be exploited by a malicous server.

Certificate fingerprints can be modified (CVE-2014-8275)

Bignum squaring may produce incorrect results (CVE-2014-3570)
Comment 1 Moritz Muehlenhoff univentionstaff 2015-01-12 12:07:17 CET
A fixed package has been built. Tests were successful.

ucs-test also passed for the modules base, ldap and samba.

YAML file: 2015-01-12-openssl.yaml
Comment 2 Janek Walkenhorst univentionstaff 2015-01-12 17:40:24 CET
Tests: OK
Advisory: OK
Comment 3 Janek Walkenhorst univentionstaff 2015-01-13 12:43:22 CET
http://errata.univention.de/ucs/3.2/272.html